Support » Plugin: LearnPress - WordPress LMS Plugin » Don’t work php 8.0.1

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support brianvu-tp

    (@briantp)

    Can you describe in detail your problem when installing LearnPress with PHP 8.0.1? We checked and it works normally.

    deekee

    (@deekee)

    I tried it swell and get the following errors:

    Installing Plugin: LearnPress – WordPress LMS Plugin 3.2.8.7
    Downloading installation package from https://downloads.wordpress.org/plugin/learnpress.zip…
    
    The authenticity of learnpress.zip could not be verified as no signature was found.
    
    Unpacking the package…
    
    Fatal error: Uncaught ValueError: fread(): Argument #2 ($length) must be greater than 0 in /wp-admin/includes/class-pclzip.php:4212 Stack trace: #0 /wp-admin/includes/class-pclzip.php(4212): fread() #1 /wp-admin/includes/class-pclzip.php(3518): PclZip->privExtractFileAsString() #2 /wp-admin/includes/class-pclzip.php(811): PclZip->privExtractByRule() #3 /wp-admin/includes/file.php(1639): PclZip->extract() #4 /wp-admin/includes/file.php(1476): _unzip_file_pclzip() #5 /wp-admin/includes/class-wp-upgrader.php(328): unzip_file() #6 /wp-admin/includes/class-wp-upgrader.php(779): WP_Upgrader->unpack_package() #7 /wp-admin/includes/class-plugin-upgrader.php(137): WP_Upgrader->run() #8 /wp-admin/update.php(142): Plugin_Upgrader->install() #9 {main} thrown in /wp-admin/includes/class-pclzip.php on line 4212
    • This reply was modified 8 months ago by deekee.
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Don’t work php 8.0.1’ is closed to new replies.